function onBegin()
	disableMovement()
	setFlag ("dark", true)
	walkTo(8, false, 1, true)
	say("SJ2021_LegS_cs1")
	setFlag ("dark", false)
	walkTo(110, false, 1, true)
end

function onEnd(room, wasSkipped)
	setFlag("usedintrocutscene", true)
	if wasSkipped then
		local luanet = _G.luanet
		player.Facing = luanet.enum(luanet.import_type("Celeste.Facings"), "Right")
		local vector2 = require("#microsoft.xna.framework.vector2")
		player.Speed = vector2(0, 0)
		teleportTo(108, 552)
	end
	setFlag("dark", false)
	enableMovement()
end